> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an office



## OpenAPI

````yaml POST /core/v3/offices
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /core/v3/offices:
    post:
      tags:
        - Offices
      summary: Create an office
      operationId: CreateOffice
      requestBody:
        description: >-
          Office object that needs to be created.<br><br><strong>Important
          note:</strong> For the <code>defaultEmployeesDateTimeZone</code>
          field, use one of the valid timezone values listed in <a
          target='_blank'
          href='https://www.php.net/manual/en/timezones.php'>PHP's official
          documentation</a> (e.g., 'Europe/Madrid', 'America/New_York').
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                companyId:
                  type: string
                  format: uuid
                  description: The ID of the company
                name:
                  type: string
                  description: The name of the office
                address:
                  type: string
                  description: The address of the office
                coordinates:
                  type: object
                  description: The coordinates of the office
                  properties:
                    latitude:
                      type: number
                      format: float
                    longitude:
                      type: number
                      format: float
                description:
                  type: string
                  description: The description of the office
                radio:
                  type: integer
                  description: The radio of the office
                defaultEmployeesDateTimeZone:
                  type: string
                  format: timezone
                  description: The default employees date time zone of the office
                  example: Europe/Madrid
              required:
                - companyId
                - name
      responses:
        '200':
          description: Object
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                      name:
                        type: string
                      address:
                        type: string
                      coordinates:
                        type: object
                        properties:
                          latitude:
                            type: number
                            format: float
                          longitude:
                            type: number
                            format: float
                      description:
                        type: string
                      radio:
                        type: integer
                      defaultEmployeesDateTimeZone:
                        type: string
                        description: Default timezone for employees in this office
                        example: Europe/Madrid
                      isDeleted:
                        type: boolean
                        description: Indicates if the office is deleted or not
                  meta:
                    type: object
                    properties:
                      currentPage:
                        type: integer
                        example: 1
                      lastPage:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 1
                      perPage:
                        type: integer
                        example: 1
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````